Skip to main content
GET
Get blobs by block_id
The /eth/v1/beacon/blobs/{block_id} method returns the blobs of a block on the consensus layer as hex strings, ordered the same as the KZG commitments in the block. To get only specific blobs, pass their blob versioned hashes in versioned_hashes. It enables developers and users to programmatically interact with and analyze the blob data associated with Ethereum’s beacon chain, which is especially useful in the context of rollups and data-intensive operations.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.

Parameters

  • block_id — the block identifier to retrieve blobs for. This can be one of the following:
    • head — the head of the chain
    • genesis — the genesis block
    • finalized — the most recent finalized block
    • A slot number
    • A hex-encoded block root with 0x prefix
  • versioned_hashes — optional; the blob versioned hashes of the blobs to return, as repeated query parameters. Without it, the method returns all blobs in the block.

Response

The response is an object containing the following fields:
  • execution_optimistic — whether the response references an unverified execution payload
  • finalized — whether the response references a finalized block
  • data — an array of blobs, each a hex string of 131,072 bytes

Path Parameters

block_id
string
default:head
required

Block identifier: 'head', 'genesis', 'finalized', a slot number, or a hex-encoded block root with the 0x prefix.

Query Parameters

versioned_hashes
string[]

Blob versioned hashes of the blobs to return. Returns all blobs in the block if not specified.

Response

Blobs successfully retrieved

execution_optimistic
boolean
required
finalized
boolean
required
data
string[]
required

Blob as a hex string

Last modified on November 13, 2026